import * as React from "react"

const EnglishFlag = (props) => {
  return (
    <svg
      fill="none"
      height={29}
      width={30}
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        d="M.468 11.048C2.398 3.291 10.233-1.456 17.99.474c7.758 1.93 12.505 9.764 10.575 17.521C26.635 25.753 18.8 30.5 11.043 28.57 3.286 26.64-1.46 18.806.468 11.048z"
        fill="#223C72"
      />
      <path
        d="M24.781 4.333l-5.828 3.859V.743c-.308-.115-.656-.193-.965-.27-2.74-.694-5.48-.54-7.95.27v7.449L4.25 4.332C2.937 5.684 1.856 7.267 1.123 9.119l1.544 1.042H.737c-.116.27-.193.58-.27.888-.695 2.74-.54 5.519.309 8.028h1.89l-1.505 1.003a14.138 14.138 0 003.204 4.747l5.712-3.782v7.255c.347.116.656.194 1.003.27 2.702.657 5.442.541 7.912-.27v-7.294l5.712 3.821c1.35-1.312 2.431-2.933 3.203-4.747l-1.544-1.042h1.93c.116-.347.232-.695.309-1.042.656-2.702.54-5.403-.27-7.873h-1.93l1.582-1.042a15.374 15.374 0 00-3.203-4.747z"
        fill="#fff"
      />
      <path
        d="M7.802 10.123l-5.364-3.59c-.348.54-.695 1.12-.965 1.699l2.817 1.852h3.512v.039zm18.757-3.59c-.348-.54-.772-1.08-1.197-1.543l-6.406 4.245v.888h2.2l5.403-3.59zM2.476 22.55c.347.54.772 1.08 1.197 1.544l6.367-4.246v-.81H7.726L2.476 22.55zM28.76 11.975H17.103V.281a14.768 14.768 0 00-5.21 0v11.694H.276c-.309 1.775-.309 3.55 0 5.21h11.617v11.54c1.775.309 3.512.309 5.21 0V17.147H28.72c.347-1.698.347-3.474.039-5.172zm-7.488 7.101l5.25 3.512c.346-.54.694-1.119.964-1.698l-2.701-1.814H21.27z"
        fill="#D63932"
      />
      <path
        d="M18.954 2.249v.926c.039-.193.077-.347.077-.502 0-.154 0-.27-.077-.424z"
        fill="#2F3E67"
      />
    </svg>
  )
}

export { EnglishFlag }
